<?php
/*
Plugin Name: Google Map Direction 
Plugin URI: http://wordpress.org/extend/plugins/
Description: plugin for get google map direction from source value to destination value.
Version: Version Number 2.0
Author: Mitesh Shah
Author URI: http://www.facebook.com/mitesh.shah.1401933
*/
//include(ABSPATH.'/wp-content/plugins/map_direction/js.php');
/*wp_register_style('mapStyle',plugins_url('map.css',__FILE__));
wp_enqueue_style('mapStyle');
wp_register_script('mapjs','http://maps.googleapis.com/maps/api/js?sensor=false');
wp_enqueue_script('mapjs');
wp_register_script('mapScript',plugins_url('map.js',__FILE__));
wp_enqueue_script('mapScript');*/
?>
<style type="text/css">
#mapentry{padding-bottom:10px;margin:0;}
#map_canvas {
height:300px;
width:350px;
}
#directions-panel {
height: 400px;
float: right;
width: 350px;
overflow: auto;
}
</style>
<script type="text/javascript" src="//maps.googleapis.com/maps/api/js?sensor=false"></script>

    <script type="text/javascript">
      var directionDisplay;
      var directionsService = new google.maps.DirectionsService();

      function initialize() {
        directionsDisplay = new google.maps.DirectionsRenderer();
        var myOptions = {
          zoom: 7,
          mapTypeId: google.maps.MapTypeId.ROADMAP,
          center: new google.maps.LatLng(41.850033, -87.6500523)
        };
        var map = new google.maps.Map(document.getElementById('map_canvas'),
            myOptions);
        directionsDisplay.setMap(map);
        directionsDisplay.setPanel(document.getElementById('directions-panel'));

        var control = document.getElementById('control');
        control.style.display = 'block';
        map.controls[google.maps.ControlPosition.TOP].push(control);
      }

      function calcRoute() {
        var start = document.getElementById('start').value;
        var end = document.getElementById('end').value;
        var request = {
          origin: start,
          destination: end,
          travelMode: google.maps.DirectionsTravelMode.DRIVING 
        };
        directionsService.route(request, function(response, status) {
          if (status == google.maps.DirectionsStatus.OK) {
            directionsDisplay.setDirections(response);
          }
        });
      }

      google.maps.event.addDomListener(window, 'load', initialize);
    </script>

<?php

add_action('admin_menu', 'map_admin_actions');
function map_admin_actions()
{
  // Add sub menu page to the Settings menu.
  /*
   Parameters
  1:  Title of admin page
  2:  Setting Submenu name
  3:
  4:  Page url
  5:  Call function
  */
  add_options_page("GoogleMap Direction", "GoogleMap Direction", 1, "Map-setting", "DB_Connector_Admin");
}
function DB_Connector_Admin()
{
  echo "<center><u><h2>" . __( 'How to Display On Site:') . "</h2></u></center>";
  echo "<p class='info'>This is Google Map Direction plugin used to display direction path in map or way for how you can go from source place to destination place.This  plugin will display dynamic path and user can view any direction by entering just both source place and destination place value.<br/>To display this functionality in your page just write <b>[map-data]</b> shortcode.</p>";
}
 
function map_direction($atts,$content=null)
{
      $data = '<div id="mapentry">
          Start : <input type="text" id="start" value="">  End : <input type="text" id="end" value="">
          <input type="button" value="Submit" onclick="calcRoute();"> 
          </div>';
            //<div id="directions-panel"></div>
            $data.='<div id="map_canvas"></div>';
      return $data;
}
add_shortcode('map-data','map_direction');
?>